(function ($) {
	Drupal.behaviors.checkout = function (context) {
		var replacePat = Drupal.settings.simple_package_tracking.replacePat;
		var carriers = Drupal.settings.simple_package_tracking.carriers;
		var defaultUrl = '';
		if (carriers) {
			if ($('#edit-carrier-url').val() != 'none') {
				var defaultUrl = carriers[$('#edit-carrier-url').val()].url;
				$('#edit-tracking-url')[0].value = defaultUrl
				$('#edit-tracking-url').attr('disabled', true);
			}
			$('#edit-carrier-new-wrapper').hide();
			$('#edit-tracking-carrier').change( function() {
				if ($(this).val() == 'new') {
					$('#edit-carrier-new-wrapper').show();
				} else {
					$('#edit-carrier-new-wrapper').hide();
				}
				$('#edit-carrier-url').change();
			});
			$('#edit-carrier-url').change( function() {
				$(this).val($('#edit-tracking-carrier').val());
				if ($(this).val() != 'new') {
					defaultUrl = carriers[$(this).val()].url;
					$('#edit-tracking-url').val(defaultUrl.replace(replacePat, $('#edit-tracking-number').val()));
				} else {
					$('#edit-tracking-url').removeAttr('disabled');
					$('#edit-tracking-url').val('');
				}
			});
		}
		$('#edit-carrier-url-wrapper').hide();
		$('#edit-tracking-number').keyup( function() {
			if ($('#edit-carrier-url').val() != 'new') {
				$('#edit-tracking-url').val(defaultUrl.replace(replacePat, $(this).val()));
			}
		});
		
		// For some reason if we don't remove the disabled attribute 
		// from the #edit-tracking-url element, it won't submit it's value
		$('#uc-order-view-update-form .form-submit').click( function() {
			$('#edit-tracking-url').removeAttr('disabled');
		});
	}
})(jQuery);